Subject: Re: regarding lspci

From: sudheer <[email-masked]>
Date: Wed, 12 Jul 2006 12:40:36 +0530

Hi Claus.Gindhart

Thanks for patch.
I have tried the same and could do it.
I have modified the lib/configure file manually and gave the following 
command
#make  CC=powerpc-linux-gcc
I could get the lspci, setpci commands.
Need to test this with my target board. Let you know after testing.

But when i tried with applying patch directly.. i got the following error:
[root@localhost pciutils-2.1.11]# patch -p1 < patch-pciutils
patching file lib/configure
Hunk #1 FAILED at 12.
1 out of 1 hunk FAILED -- saving rejects to file lib/configure.rej
[root@localhost pciutils-2.1.11]#
I have just copy pasted the patch from my mail and tried.

Thanks & Regards
Sudheer

Claus Gindhart wrote:

>Hi Rahul,
>
>Maybe, its better, if you do the modification by hand. This has the advantage, 
>that you know, what happens.
>
>Just, search for the following lines
>--------------8-<----------------------
>sys=`uname -s`
>rel=`uname -r`
>if [ "$sys" = "AIX" -a -x /usr/bin/oslevel -a -x /usr/sbin/lsattr ]
>then
>      rel=`/usr/bin/oslevel`
>      proc=`/usr/sbin/lsdev -C -c processor -S available -F name | head -1`
>      cpu=`/usr/sbin/lsattr -F value -l $proc -a type | sed 's/_.*//'`
>else
>      cpu=`uname -m | sed 's/^i.86$/i386/;s/^sun4u$/sparc64/'`
>fi
>echo " $sys/$cpu $rel"
>--------------8-<----------------------
>
>Comment them out; they can not work, when cross compiling, because they try to 
>detect Kernel version and architecture by using host tools
>
>Then, add the following lines
>
>--------------8-<----------------------
>sys=Linux
>rel=2.6.13 (or whatever Kernel version you have)
>cpu=ppc
>--------------8-<----------------------
>
>
>
>  
>